Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.jclasslib.browser.config.window
Class ReferenceHolder

    java.lang.Object
      org.gjt.jclasslib.browser.config.window.ReferenceHolder

All Implemented Interfaces:
  PathComponent

public class ReferenceHolder
extends Object
implements PathComponent

Browser path component for named class member (field or method).

Version:
  $Revision: 1.1 $ $Date: 2003/08/18 08:10:15 $
Author:
  Ingo Kegel

Constructor Summary
`ReferenceHolder()` Constructor.
`ReferenceHolder(String name, String type)` Constructor.

Method Summary
`String` | `getName()` Get the name of the reference.
`String` | `getType()` Get the type of the reference.
`void` | `setName(String name)` Set the name of the reference.
`void` | `setType(String type)` Set the type of the reference.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReferenceHolder

    public ReferenceHolder(String name,
                           String type)

  Constructor.

Parameters:
  `name` - the name of the reference.
  `type` - the type of the reference.

### ReferenceHolder

    public ReferenceHolder()

  Constructor.

Method Detail

### getName

    public String getName()

  Get the name of the reference.

  Returns:
    the name.

### setName

    public void setName(String name)

  Set the name of the reference.

  Parameters:
    `name` - the name.

### getType

    public String getType()

  Get the type of the reference.

  Returns:
    the type.

### setType

    public void setType(String type)

  Set the type of the reference.

  Parameters:
    `type` - the type.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD